# The Red Matrix: mod/rpost.php File Reference

All Classes Namespaces Files Functions Variables Pages
rpost.php File Reference

## Functions

| rpost_content (&$a)

## Function Documentation

rpost_content | ( | & | $a | ) |

remote post

https://yoursite/rpost?f=&title=&body=&remote_return=

This can be called via either GET or POST, use POST for long body content as suhosin often limits GET parameter length

f= placeholder, often required title= Title of post body= Body of post source= Source application remote_return= absolute URL to return after posting is finished type= choices are 'html' or 'bbcode', default is 'bbcode'